services:
  watchtower:
    image: nickfedor/watchtower:latest
    container_name: watchtower
    hostname: watchtower
    mem_limit: 128m
    mem_reservation: 64m
    cpu_shares: 128
    security_opt:
      - no-new-privileges=true
    read_only: true
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./data:/data
    environment:
      - TZ=Europe/Paris
      - WATCHTOWER_CLEANUP=true # Supprime les anciennes images après mise à jour
      - WATCHTOWER_REMOVE_VOLUMES=false # Ne supprime pas les volumes attachés après mise à jour
      - WATCHTOWER_INCLUDE_RESTARTING=true # Redémarre les conteneurs après mise à jour
      - WATCHTOWER_INCLUDE_STOPPED=true # Met à jour les conteneurs arrêtés
      - WATCHTOWER_SCHEDULE=0 0 */12 * * * # Scan et mise à jour toutes les 12 heures
      - WATCHTOWER_ROLLING_RESTART=true
      - WATCHTOWER_LABEL_ENABLE=true
      - WATCHTOWER_TIMEOUT=300s
      - WATCHTOWER_LOG_FORMAT=pretty
      #- WATCHTOWER_DISABLE_CONTAINERS="handbrake"
    restart: on-failure
